Bug 522145 - Remove non-portable file descriptor from the c++ QMF agent api
Summary: Remove non-portable file descriptor from the c++ QMF agent api
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: Development
Hardware: All
OS: Linux
urgent
high
Target Milestone: 1.3
: ---
Assignee: Ted Ross
QA Contact: Pete MacKinnon
URL:
Whiteboard:
Depends On:
Blocks: 467890 506610
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:16 UTC by Ted Ross
Modified: 2011-08-12 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-13 13:18:18 UTC


Attachments (Terms of Use)

Description Ted Ross 2009-09-09 15:16:44 UTC
Description of problem:

The QMF API uses a unix file descriptor for signaling single-threaded applications.  This is not portable to other operating systems and should be replaced with a callback that serves the same purpose.

Version-Release number of selected component (if applicable):

1.1.6

Comment 3 Pete MacKinnon 2009-12-08 16:07:36 UTC
Upstream at https://issues.apache.org/jira/browse/QPID-2251

Comment 4 Ted Ross 2010-01-29 22:07:55 UTC
Fixed upstream at revision 904645.

Comment 5 Jan Sarenik 2010-03-26 11:05:51 UTC
I have read the code. How can I practically verify this?

Comment 6 Pete MacKinnon 2010-03-31 13:44:51 UTC
I think I need to verify this. It's largely an implementation detail of the QMF Windows plug-in integration.


Note You need to log in before you can comment on or make changes to this bug.